Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IFileDescriptor``

interface documentation

`class IFileDescriptor(ILoggingContext): (source)`

Known subclasses: `twisted.internet.interfaces.IReadDescriptor`, `twisted.internet.interfaces.IWriteDescriptor`

View In Hierarchy

An interface representing a UNIX-style numeric file descriptor.

Method | `connectionLost` | Called when the connection was lost.
Method | `fileno` | No summary

Inherited from `ILoggingContext`:

Method | `logPrefix` | No summary

def connectionLost(reason: `Failure`): (source)

Called when the connection was lost.

This is called when the connection on a selectable object has been lost. It will be called whether the connection was closed explicitly, an exception occurred in an event handler, or the other end of the connection closed it first.

See also `IHalfCloseableDescriptor` if your descriptor wants to be notified separately of the two halves of the connection being closed.

Parameters
reason:`Failure` | A failure instance indicating the reason why the connection was lost. `error.ConnectionLost` and `error.ConnectionDone` are of special note, but the failure may be of other classes as well.

def fileno() -> `object`: (source)

Returns
`object` | The platform-specified representation of a file descriptor number. Or `-1` if the descriptor no longer has a valid file descriptor number associated with it. As long as the descriptor is valid, calls to this method on a particular instance must return the same value.